unit uIDataModulePedidosCliente;

interface

uses
  uBizPedidosCliente, uBizDetallesPedidoCliente;

type
  IDataModulePedidosCliente = interface
  ['{F0DDD126-9E62-4FEC-A849-FDCA75718F5B}']
    function GetItems: IBizPedidoCliente;
    function GetItem(const ID : Integer) : IBizPedidoCliente;
    function GetNextID(const DataSetName : String) : Integer;
    function NewItem : IBizPedidoCliente;
    function GetArticulosPendientes(const IDPedido: Integer): IBizPedidoClienteArticulosPend;
    function GetArticulosPendientesPedirAProv(const IDPedido: Integer): IBizPedidoClienteArticulosPendientesPedirAProv;        
  end;

implementation

end.
